org.encog.util.normalize.target

## Class NormalizationStorageArray1D

- java.lang.Object
- - org.encog.util.normalize.target.NormalizationStorageArray1D

- All Implemented Interfaces:
    Serializable, NormalizationStorage

      public class NormalizationStorageArray1D
      extends Object
      implements NormalizationStorage

  Output the normalized data to a 1D array.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizationStorageArray1D()`
    `NormalizationStorageArray1D(double[] array)` Construct an object to store to a 2D array.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Not needed for this storage type.
    `double[]` | `getArray()`
    `void` | `open(DataNormalization norm)` Not needed for this storage type.
    `void` | `write(double[] data, int inputCount)` Write an array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizationStorageArray1D

          public NormalizationStorageArray1D()

    - #### NormalizationStorageArray1D

          public NormalizationStorageArray1D(double[] array)

      Construct an object to store to a 2D array.
      Parameters:
        `array` - The array to store to.

  - ### Method Detail

    - #### close

          public void close()

      Not needed for this storage type.
      Specified by:
        `close` in interface `NormalizationStorage`

    - #### open

          public void open(DataNormalization norm)

      Not needed for this storage type.
      Specified by:
        `open` in interface `NormalizationStorage`

    - #### write

          public void write(double[] data,
                   int inputCount)

      Write an array.
      Specified by:
        `write` in interface `NormalizationStorage`
      Parameters:
        `data` - The data to write.
        `inputCount` - How much of the data is input.

    - #### getArray

          public double[] getArray()

Copyright © 2014. All Rights Reserved.